# Finds LibHarkNetApi.
#
# This module defines:
# LIBHARKNETAPI_INCLUDE_DIRS
# LIBHARKNETAPI_LIBRARIES
#

find_package(PkgConfig)
pkg_check_modules(PC_LIBHARKNETAPI libhark-netapi>=3.5.0)

find_path(LIBHARKNETAPI_INCLUDE_DIR
          hark-netapi.h
          HINTS ${PC_LIBHARKNETAPI_INCLUDEDIR} ${PC_LIBHARKNETAPI_INCLUDE_DIRS})

find_library(LIBHARKNETAPI_LIBRARY
             NAMES hark-netapi
             HINTS ${PC_LIBHARKNETAPI_LIBDIR} ${PC_LIBHARKNETAPI_LIBRARY_DIRS} )

set(LIBHARKNETAPI_LIBRARIES ${LIBHARKNETAPI_LIBRARY})
set(LIBHARKNETAPI_INCLUDE_DIRS ${LIBHARKNETAPI_INCLUDE_DIR})

include(FindPackageHandleStandardArgs)
find_package_handle_standard_args(LibHarkNetApi DEFAULT_MSG
                                  LIBHARKNETAPI_LIBRARY LIBHARKNETAPI_INCLUDE_DIR)

mark_as_advanced(LIBHARKNETAPI_INCLUDE_DIR LIBHARKNETAPI_LIBRARY)
